about summary refs log tree commit diff
path: root/pkgs/build-support/setup-hooks
diff options
context:
space:
mode:
authorPeter Simons <simons@cryp.to>2016-03-17 20:57:46 +0100
committerPeter Simons <simons@cryp.to>2016-03-18 07:52:36 +0100
commitaf81505c00c7d9aee8346bd12db10861f506b3dd (patch)
treeb5e8cae8b8aa9c2a5ca1d3fa40f8a94894b63685 /pkgs/build-support/setup-hooks
parentfb1f18b98c099716ea321b7bcbb103e640763ced (diff)
downloadnixlib-af81505c00c7d9aee8346bd12db10861f506b3dd.tar
nixlib-af81505c00c7d9aee8346bd12db10861f506b3dd.tar.gz
nixlib-af81505c00c7d9aee8346bd12db10861f506b3dd.tar.bz2
nixlib-af81505c00c7d9aee8346bd12db10861f506b3dd.tar.lz
nixlib-af81505c00c7d9aee8346bd12db10861f506b3dd.tar.xz
nixlib-af81505c00c7d9aee8346bd12db10861f506b3dd.tar.zst
nixlib-af81505c00c7d9aee8346bd12db10861f506b3dd.zip
wrap-gapps-hook.sh: fix double inclusion guard
The simple "return" would not override the non-zero error code set by the
preceding test command, therefore aborting scripts running with "set -e".
Diffstat (limited to 'pkgs/build-support/setup-hooks')
-rw-r--r--pkgs/build-support/setup-hooks/wrap-gapps-hook.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/pkgs/build-support/setup-hooks/wrap-gapps-hook.sh b/pkgs/build-support/setup-hooks/wrap-gapps-hook.sh
index 9e0cd22c1198..3cad1838d260 100644
--- a/pkgs/build-support/setup-hooks/wrap-gapps-hook.sh
+++ b/pkgs/build-support/setup-hooks/wrap-gapps-hook.sh
@@ -11,7 +11,7 @@ envHooks+=(find_gio_modules)
 # Note: $gappsWrapperArgs still gets defined even if $dontWrapGApps is set.
 wrapGAppsHook() {
   # guard against running multiple times (e.g. due to propagation)
-  [ -z "$wrapGAppsHookHasRun" ] || return
+  [ -z "$wrapGAppsHookHasRun" ] || return 0
   wrapGAppsHookHasRun=1
 
   if [ -n "$GDK_PIXBUF_MODULE_FILE" ]; then